Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateNewStickerSet

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StickerSet>
it.tdlight.jni.TdApi.CreateNewStickerSet

Enclosing class:
  TdApi

public static final class TdApi.CreateNewStickerSet extends TdApi.Function<TdApi.StickerSet>
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`name`
Sticker set name.
`boolean`
`needsRepainting`
Pass true if stickers in the sticker set must be repainted; for custom emoji sticker sets only.
`String`
`source`
Source of the sticker set; may be empty if unknown.
`TdApi.StickerFormat`
`stickerFormat`
Format of the stickers in the set.
`TdApi.InputSticker[]`
`stickers`
List of stickers to be added to the set; must be non-empty.
`TdApi.StickerType`
`stickerType`
Type of the stickers in the set.
`String`
`title`
Sticker set title; 1-64 characters.
`long`
`userId`
Sticker set owner; ignored for regular users.

## Constructor Summary

Constructors
Constructor
Description
`CreateNewStickerSet()`
Creates a new sticker set.
`CreateNewStickerSet(long userId, String title, String name, TdApi.StickerFormat stickerFormat, TdApi.StickerType stickerType, boolean needsRepainting, TdApi.InputSticker[] stickers, String source)`
Creates a new sticker set.
`CreateNewStickerSet(DataInput input)`
Creates a new sticker set.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Sticker set owner; ignored for regular users.

### title

public String title
Sticker set title; 1-64 characters.

### name

public String name
Sticker set name. Can contain only English letters, digits and underscores. Must end with *"_by_<bot username>"* (*<botUsername>* is case insensitive) for bots; 1-64 characters.

### stickerFormat

public TdApi.StickerFormat stickerFormat
Format of the stickers in the set.

### stickerType

public TdApi.StickerType stickerType
Type of the stickers in the set.

### needsRepainting

public boolean needsRepainting
Pass true if stickers in the sticker set must be repainted; for custom emoji sticker sets only.

### stickers

public TdApi.InputSticker[] stickers
List of stickers to be added to the set; must be non-empty. All stickers must have the same format. For TGS stickers, uploadStickerFile must be used before the sticker is shown.

### source

public String source
Source of the sticker set; may be empty if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CreateNewStickerSet

public CreateNewStickerSet()
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

### CreateNewStickerSet

public CreateNewStickerSet(long userId, String title, String name, TdApi.StickerFormat stickerFormat, TdApi.StickerType stickerType, boolean needsRepainting, TdApi.InputSticker[] stickers, String source)
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

Parameters:
  `userId` - Sticker set owner; ignored for regular users.
  `title` - Sticker set title; 1-64 characters.
  `name` - Sticker set name. Can contain only English letters, digits and underscores. Must end with *"_by_<bot username>"* (*<botUsername>* is case insensitive) for bots; 1-64 characters.
  `stickerFormat` - Format of the stickers in the set.
  `stickerType` - Type of the stickers in the set.
  `needsRepainting` - Pass true if stickers in the sticker set must be repainted; for custom emoji sticker sets only.
  `stickers` - List of stickers to be added to the set; must be non-empty. All stickers must have the same format. For TGS stickers, uploadStickerFile must be used before the sticker is shown.
  `source` - Source of the sticker set; may be empty if unknown.

  Returns `StickerSet`

### CreateNewStickerSet

public CreateNewStickerSet(DataInput input) throws IOException
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`